clan::Brush Class Reference - ClanLib SDK
Description: clan::Brush Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clan::Brush Class Reference

`#include <brush.h>`

## Public Member Functions
| Brush ()
| Brush (const Colorf &color)

## Static Public Member Functions
static Brush | solid (const Colorf &color)
static Brush | solid (float r, float g, float b, float a=1.0f)
static Brush | solid_rgb8 (int r, int g, int b)
static Brush | solid_rgba8 (int r, int g, int b, int a)

## Public Attributes
Pointf | center_point
Colorf | color
Pointf | end_point
Pointf | gradient_origin_offset
Image | image
BrushInterpolateMode | interpolate = BrushInterpolateMode::linear
float | opacity = 1.0f
float | radius_x = 0.0f
float | radius_y = 0.0f
Pointf | start_point
std::vector< BrushGradientStop > | stops
Mat3f | transform = Mat3f::identity()
BrushType | type = BrushType::solid
BrushWrapMode | wrap_x = BrushWrapMode::wrap
BrushWrapMode | wrap_y = BrushWrapMode::wrap

## Constructor & Destructor Documentation

## ◆ Brush() [1/2]

clan::Brush::Brush | ( |  | ) |
| inline

Referenced by solid(), solid(), solid_rgb8(), and solid_rgba8().

## ◆ Brush() [2/2]

clan::Brush::Brush | ( | const Colorf & | color | ) |
| inline

References color.

## Member Function Documentation

## ◆ solid() [1/2]

Brush clan::Brush::solid | ( | const Colorf & | color | ) |
| inlinestatic

References Brush(), and color.

## ◆ solid() [2/2]

Brush clan::Brush::solid | ( | float | r,
|  | float | g,
|  | float | b,
|  | float | a = 1.0f )
| inlinestatic

References Brush(), clan::a, clan::b, color, clan::g, and clan::r.

## ◆ solid_rgb8()

Brush clan::Brush::solid_rgb8 | ( | int | r,
|  | int | g,
|  | int | b )
| inlinestatic

References Brush(), clan::b, color, clan::g, and clan::r.

## ◆ solid_rgba8()

Brush clan::Brush::solid_rgba8 | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a )
| inlinestatic

References Brush(), clan::a, clan::b, color, clan::g, and clan::r.

## Member Data Documentation

## ◆ center_point

Pointf clan::Brush::center_point

## ◆ color

Colorf clan::Brush::color

Referenced by Brush(), solid(), solid(), solid_rgb8(), and solid_rgba8().

## ◆ end_point

Pointf clan::Brush::end_point

## ◆ gradient_origin_offset

Pointf clan::Brush::gradient_origin_offset

## ◆ image

Image clan::Brush::image

## ◆ interpolate

BrushInterpolateMode clan::Brush::interpolate = BrushInterpolateMode::linear

## ◆ opacity

float clan::Brush::opacity = 1.0f

## ◆ radius_x

float clan::Brush::radius_x = 0.0f

## ◆ radius_y

float clan::Brush::radius_y = 0.0f

## ◆ start_point

Pointf clan::Brush::start_point

## ◆ stops

std::vector<BrushGradientStop> clan::Brush::stops

## ◆ transform

Mat3f clan::Brush::transform = Mat3f::identity()

## ◆ type

BrushType clan::Brush::type = BrushType::solid

## ◆ wrap_x

BrushWrapMode clan::Brush::wrap_x = BrushWrapMode::wrap

## ◆ wrap_y

BrushWrapMode clan::Brush::wrap_y = BrushWrapMode::wrap

The documentation for this class was generated from the following file:

- brush.h